      Program Scroll
      !To demonstrate scrolling in Debug and Release mode
    
      Use IFQWIN
      Use IFCORE
    
      character*1 Q
      integer*4 i
      integer*4 ifontcolor(2),ibackcolor(2)
      TYPE (qwinfo) menwin,cmenwin
    
            
      ibackcolor(1)=255
      ifontcolor(1)=0
      ibackcolor(2)=16777215
      ifontcolor(2)=0
      open(10,file='user',title='Window #1')
	  !Set color for window
	  grstat=SETCOLORRGB(ifontcolor(1)) 
	  grstat=SETBKCOLORRGB(ibackcolor(1))
	  grstat=SETTEXTCOLORRGB(ifontcolor(1))
	  call CLEARSCREEN($GWINDOW)        
	  open(40,file='user',title='Window #2')
	  !Set color for window
	  grstat=SETCOLORRGB(ifontcolor(2)) 
	  grstat=SETBKCOLORRGB(ibackcolor(2))
	  grstat=SETTEXTCOLORRGB(ifontcolor(2))
	  call CLEARSCREEN($GWINDOW)        
      cmenwin.H=int(2)
	  cmenwin.W=int(80)
	  cmenwin.TYPE=QWIN$SET
	  status=SETWSIZEQQ(10,cmenwin)
	  menwin.H=int(36)
	  menwin.W=int(80)
	  menwin.x=0     
	  menwin.y=int(7)     
	  menwin.TYPE=QWIN$SET
	  status=SETWSIZEQQ(40,menwin)
      
      do i=1,200
        write(40,*) 'This is a demonstration line',i
      Enddo
      
      write(10,*) 'Enter "Q" to exit'
      read(10,*) Q
      stop
      end